#include<bits/stdc++.h>
using namespace std;
const int N = 2e5+5;

bool comp(pair<long long, double> a, pair<long long, double> b){
    if(a.first==b.first){
        return a.second < b.second;
    }
    else{
        return a.second > b.second;
    }
}

pair<long long, double> a[N];
int main(){
    ios_base::sync_with_stdio(0);cin.tie(0);cout.tie(0);

    int n,i; cin>>n;
    double ans=0, tmp, fa;
    for(i=0;i<n;++i)cin>>a[i].first>>a[i].second;
    
    long long sum=0;
    sort(a,a+n,comp);

    for(i=0;i<n;++i){
        sum+= a[i].first;
        
        fa= sum * (a[i].second / 100.0);

        ans= max(ans,fa);
    }

    cout.precision(15);
    cout << ans << '\n';
}